Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# AnimMgrBase Class Reference

Inheritance diagram for AnimMgrBase:

List of all members.

## Public Member Functions
def | __init__
def | calculateT
def | colorUpdate
def | createActorAnimation
def | createCurveAnimation
def | createCurveKeyFrameAnimation
def | createKeyFrameAnimation
def | createParallel
def | generateKeyFrames
def | generateSlope
def | getPos
def | lerpCurveFuncX
def | lerpCurveFuncY
def | lerpCurveFuncZ
def | lerpFuncCA
def | lerpFuncCB
def | lerpFuncCG
def | lerpFuncCR
def | lerpFuncH
def | lerpFuncP
def | lerpFuncR
def | lerpFuncSX
def | lerpFuncSY
def | lerpFuncSZ
def | lerpFuncX
def | lerpFuncY
def | lerpFuncZ
def | removeAnimInfo
def | reset
def | singleCurveAnimation
## Public Attributes
| curveAnimation
| curveLerpFuncs
| curveSequence
| self.hprs.append(hpr)
| editor
| graphEditorCounter
| hprs
| keyFrameInfoForSingleLerp
| keyFrames
| keyFramesInfo
| keyInfoForSingleLerp
| lerpFuncs
| parallel
| points

## Detailed Description

    AnimMgr will create, manage, update animations in the scene

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | editor
| ) |  |

Reimplemented in AnimMgr.

## Member Function Documentation

def calculateT | ( |  | self,
|  |  | a,
|  |  | b,
|  |  | c,
|  |  | d,
|  |  | x
| ) |  |

def colorUpdate | ( |  | self,
|  |  | r,
|  |  | g,
|  |  | b,
|  |  | a,
|  |  | np
| ) |  |

def createActorAnimation | ( |  | self,
|  |  | parallel,
|  |  | startFrame,
|  |  | endFrame
| ) |  |

def createCurveAnimation | ( |  | self,
|  |  | parallel
| ) |  |

def createCurveKeyFrameAnimation | ( |  | self,
|  |  | parallel,
|  |  | startFrame,
|  |  | endFrame
| ) |  |

def createKeyFrameAnimation | ( |  | self,
|  |  | parallel,
|  |  | startFrame,
|  |  | endFrame
| ) |  |

def createParallel | ( |  | self,
|  |  | startFrame,
|  |  | endFrame
| ) |  |

def generateKeyFrames | ( |  | self | ) |

def generateSlope | ( |  | self,
|  |  | list
| ) |  |

def getPos | ( |  | self,
|  |  | x,
|  |  | list,
|  |  | i
| ) |  |

def lerpCurveFuncX | ( |  | self,
|  |  | t,
|  |  | extraArgs
| ) |  |

def lerpCurveFuncY | ( |  | self,
|  |  | t,
|  |  | extraArgs
| ) |  |

def lerpCurveFuncZ | ( |  | self,
|  |  | t,
|  |  | extraArgs
| ) |  |

def lerpFuncCA | ( |  | self,
|  |  | A,
|  |  | np
| ) |  |

def lerpFuncCB | ( |  | self,
|  |  | B,
|  |  | np
| ) |  |

def lerpFuncCG | ( |  | self,
|  |  | G,
|  |  | np
| ) |  |

def lerpFuncCR | ( |  | self,
|  |  | R,
|  |  | np
| ) |  |

def lerpFuncH | ( |  | self,
|  |  | angle,
|  |  | np
| ) |  |

def lerpFuncP | ( |  | self,
|  |  | angle,
|  |  | np
| ) |  |

def lerpFuncR | ( |  | self,
|  |  | angle,
|  |  | np
| ) |  |

def lerpFuncSX | ( |  | self,
|  |  | scale,
|  |  | np
| ) |  |

def lerpFuncSY | ( |  | self,
|  |  | scale,
|  |  | np
| ) |  |

def lerpFuncSZ | ( |  | self,
|  |  | scale,
|  |  | np
| ) |  |

def lerpFuncX | ( |  | self,
|  |  | pos,
|  |  | np
| ) |  |

def lerpFuncY | ( |  | self,
|  |  | pos,
|  |  | np
| ) |  |

def lerpFuncZ | ( |  | self,
|  |  | pos,
|  |  | np
| ) |  |

def removeAnimInfo | ( |  | self,
|  |  | uid
| ) |  |

def reset | ( |  | self | ) |

def singleCurveAnimation | ( |  | self,
|  |  | nodePath,
|  |  | curve,
|  |  | time
| ) |  |

## Member Data Documentation

curveAnimation

curveLerpFuncs

curveSequence

self.hprs.append(hpr)

editor

graphEditorCounter

hprs

keyFrameInfoForSingleLerp

keyFrames

keyFramesInfo

keyInfoForSingleLerp

lerpFuncs

parallel

points

All Classes Namespaces Functions Variables Enumerations Enumerator Properties